Subject: Re: ppc32: Weird process scheduling behaviour with 2.6.24-rc

From: Srivatsa Vaddagiri <[email-masked]>
Date: Mon, 28 Jan 2008 17:41:49 +0530

On Mon, Jan 28, 2008 at 10:14:33AM +0100, Michel Dänzer wrote:
> > >       * With CONFIG_FAIR_USER_SCHED enabled, X becomes basically
> > >         unusable with a niced CPU hog, with or without top running. I
> > >         don't know when this started, possibly when this option was
> > >         first introduced.
> > 
> > Srivatsa found an issue that might explain the very bad behaviour under
> > group scheduling. But I gather you're not at all interested in this
> > feature?
> 
> That's right, but it's good to hear you have a lead there as well, and
> if you can't find any interested testers, let me know and I'll try.

Michel,
	Thanks for offering to test! The issue I found wrt preemption latency 
(when FAIR_USER_SCHED is turned on) is explained here:

http://marc.info/?l=linux-kernel&m=120148675326287

Does the patch in that URL help bring FAIR_USER_SCHED interactivity to the same
level as !FAIR_USER_SCHED?

-- 
Regards,
vatsa